Skip to content
View as Markdown

GET Get Company Notes​

GET
/companies/{id}/notes

Retrieve a paginated list of notes for a company. Notes are ordered by ID descending (newest first). Each note includes the added_by field showing who created it. Also returns note sync fields configuration.

Authorizations​

ApplicationPasswords

WordPress Application Passwords — use Basic auth with your WordPress username and an application password in the format: username:application_password

Type
API Key (header: Authorization)

Parameters​

Path Parameters

id*

The company ID.

Type
integer
Required

Query Parameters

search

Search notes by title (LIKE match).

Type
string
per_page

Number of notes per page.

Type
integer
Default
15
page

Page number for pagination.

Type
integer
Default
1

Responses​

Paginated list of company notes.

application/json
JSON
{
"notes": {
"total": 0,
"per_page": 0,
"current_page": 0,
"last_page": 0,
"next_page_url": "string",
"prev_page_url": "string",
"from": 0,
"to": 0,
"data": [
{
"id": 0,
"subscriber_id": 0,
"title": "string",
"description": "string",
"type": "string",
"created_at": "string",
"updated_at": "string",
"added_by": "string"
}
]
},
"fields": {
"fields": [
{
}
]
}
}

Playground​

Authorization
Variables
Key
Value

Samples​

Powered by VitePress OpenAPI